Name:           maps
Version:        0.4
Release:        1%{?dist}
Summary:        Mathematical Packaging System
BuildArch:      noarch

License:        GPL3
URL:            https://github.com/mardi4NFDI/maps
Source0:        %{name}-%{version}.tar.gz

Requires:       git cairo-devel gcc python3-devel gobject-introspection-devel ostree ostree-devel python3-progress libcap-devel cairo-gobject-devel bash-completion python-tomli meson python-tuspy

%description
MaPS helps mathematicians create and publish software runtimes, as well as deploy and run software inside published runtimes


%prep
%setup -q


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_datadir}/bash-completion/completions
install -Dm 755 src/%{name} $RPM_BUILD_ROOT/%{_bindir}
install -Dm 644 src/completion.bash $RPM_BUILD_ROOT/%{_datadir}/bash-completion/completions/%{name}
install -Dm 644 src/usr.bin.%{name} $RPM_BUILD_ROOT/%{_sysconfdir}/apparmor.d/usr.bin.%{name}


%files
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_sysconfdir}/apparmor.d/usr.bin.%{name}



%changelog
* Thu Mar 20 2025 Aaruni Kaushik <akaushik@edufor.me> 0.4-1
- Initial release for fedora

